package common_test

import (
	"testing"
	"typorainstaller/common"
	"typorainstaller/constants"

	"github.com/stretchr/testify/assert"
)

func TestUnGzip(t *testing.T) {
	assert := assert.New(t)

	err := common.Untar("./test.tar.gz", "./")
	assert.NoError(err)
}

func TestUnzip(t *testing.T) {
	assert := assert.New(t)

	err := common.Unzip("./themes.zip", constants.ConfigPath)
	assert.NoError(err)
}
